--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Run the <em>map</em> operation on the encapsulated object following the monad law. <em>bind</em> is used to implement.
full_name: RParsec::Monad#map
is_singleton: false
name: map
params: (&mapper)
visibility: public
